summaryrefslogtreecommitdiffstats
path: root/abs/extra/community/powernowd/finish
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/community/powernowd/finish')
-rw-r--r--abs/extra/community/powernowd/finish25
1 files changed, 25 insertions, 0 deletions
diff --git a/abs/extra/community/powernowd/finish b/abs/extra/community/powernowd/finish
new file mode 100644
index 0000000..97e3034
--- /dev/null
+++ b/abs/extra/community/powernowd/finish
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# AUR Credits:
+# simple init script the ARCH-way for Powernowd
+# Made by, CyberTron, packages@linuxportalen.com
+
+# Modifications by Alexander Baldeck <alexander@archlinux.org>
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/powernowd`
+
+[ -f /etc/conf.d/powernowd ] && source /etc/conf.d/powernowd
+
+ stat_runit "Stopping Powernowd"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/powernowd.pid
+ rm_daemon powernowd
+ stat_done
+ fi